# Copyright (c) 2021 Henix, Henix.fr
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: opentestfactory.org/v1alpha1
kind: Workflow
metadata:
  name: Windows Example
variables:
  SERVER: production
resources:
  repositories:
  - repository: testsuite
    type: github
    name: robotframework/RobotDemo
    endpoint: https://github.com
jobs:
  keyword-driven:
    runs-on: [robotframework, windows]
    steps:
    - run: echo %SERVER%
    - run: set
    - uses: actions/create-file@v1
      with:
        data:
          foo:
            key1: value1
            key2: value2
          bar:
            key1: value1
            key2: value2
        format: ini
        path: foobar.ini
    - run: type foobar.ini
    - uses: actions/create-file@v1
      with:
        data:
          foo:
            key1: value1
            key2: value2
          bar:
            key1: value1
            key2: value2
        format: yaml
        path: foobar.yaml
    - run: type foobar.yaml
    - uses: actions/get-files@v1
      with:
        pattern: foobar.*
